This service will be undergoing maintenance at 00:00 UTC, 2016-09-28. It is expected to last about 1 hours
Bug 20056 - Some sort of Oracle / web database error
Some sort of Oracle / web database error
Status: CLOSED CURRENTRELEASE
Product: Red Hat Web Site
Classification: Red Hat
Component: Store (Show other bugs)
current
i386 Linux
medium Severity medium
: ---
: ---
Assigned To: Tom Lancaster
Paul Lindner
http://www.redhat.com/apps/internalst...
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2000-10-30 14:50 EST by Jeffrey Cohen
Modified: 2007-04-18 12:29 EDT (History)
1 user (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2000-10-31 14:15:15 EST
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:


Attachments (Terms of Use)

  None (edit)
Description Jeffrey Cohen 2000-10-30 14:50:26 EST
Entering an order in 'internal' web store generated  the following:

http://www.redhat.com/apps/internalstore/verify.html?ship_method%3Amethod_cb=FXEC&store_cart%3Aadd_item_cb=&store_cart%3Akeep_10569=1&store_cart%3Aqty_10569=1&store_cart%3Ainternal_shipping=8.95&order_cancel%3Aurl=%2Fapps%2Finternalstore&order_suhttp://www.redhat.com/apps/internalstore/verify.html?ship_method%3Amethod_cb=FXEC&store_cart%3Aadd_item_cb=&store_cart%3Akeep_10569=1&store_cart%3Aqty_10569=1&store_cart%3Ainternal_shipping=8.95&order_cancel%3Aurl=%2Fapps%2Finternalstore&order_submit%3Aend_page=%2Fapps%2Finternalstore%2Fthankyou.html&order_submit%3Asubmit_cb=Submit+Order&asp_charset=iso-8859-1


A database error occured: DBD::Oracle::db do failed: ORA-00001: unique
constraint
(WEB.WEB_USER_ORDER_ID_PK) violated (DBD ERROR: OCIStmtExecute) at
/var/www/lib/WebUser/Order.pm line 507. 
Failed to submit order 'I2195781': 

Please choose a shipping method below.


     Shipping Method 
                                      Description 
    
     FedEx Economy 2 Day 
                         Delivery to most areas in US within 2 business
                         days if ordered prior to 12:00 noon, EST. 




Add Items:

Add Discount:


Item
                                    Unit
                                   Price
                                         Unit
                                          Wt
                                               Unit
                                               Qty
                                                     Total
                                                      Wt.
                                                                Total
                                                                Price


Red Hat Linux 6.2 documentation
CD
                                    9.95
                                         0.12

                                                     0.12
                                                                9.95 


                                           Order Subtotal 
                                                                $9.95
                                        Order Weight (lbs) 
                                                                0.125 
                                    Shipping and Handling 
                                                            $ 
                                               Order Tax 
                                                                $0.86 
                                                    Total 
                                                               $19.76 

     Check here if you entered shipping charges in the field above and want
that
value to replace calculated shipping charges 
                                                                      




Billing Information
Eric Rice

3713 231 St. E.

Spanaway, WA 98387-6962
US 
Phone: 253-846-5030
                                 Shipping Information
                                 Eric Rice

                                 3713 231 St. E.

                                 Spanaway, WA 98387-6962
                                 US 

                                 Payment Information
                                 VS   4426248679636434
                                 Expires: 08/2003
Comment 1 Jeffrey Cohen 2000-10-31 14:15:12 EST
Here is another

http://www.redhat.com/apps/internalstore/verify.html?ship_method%3Amethod_cb=FXEC&store_cart%3Aadd_item_cb=&store_cart%3Akeep_RH11000=1&store_cart%3Aqty_RH11000=6&store_cart%3Ainternal_shipping=0.00&order_cancel%3Aurl=%2Fapps%2Finternalstore&order_submit%3Aend_page=%2Fapps%2Finternalstore%2Fthankyou.html&order_submit%3Asubmit_cb=Submit+Order&asp_charset=iso-8859-1

Confirm Order Information


A database error occured: DBD::Oracle::db do failed: ORA-00001: unique
constraint (WEB.WEB_USER_ORDER_ID_PK) violated (DBD ERROR: OCIStmtExecute) at
/var/www/lib/WebUser/Order.pm line 507. 
Failed to submit order 'I2196031': 

Please choose a shipping method below.


      Shipping Method 
                                       Description 
   
     FedEx Economy 2 Day 
                         Delivery to most areas in US within 2 business days if
                         ordered prior to 12:00 noon, EST. 




Add Items:

Add Discount:


Item
                                    Unit
                                   Price
                                          Unit
                                           Wt
                                               Unit
                                               Qty
                                                     Total
                                                      Wt.
                                                                Total
                                                                Price


Red Hat Linux 6.2/Intel Standard
                                   29.95
                                          2.00

                                                     12.00
                                                                179.7 


                                             Order Subtotal 
                                                               $179.70
                                           Order Weight (lbs) 
                                                                  12 
                                        Shipping and Handling 
                                                            $ 
                                                Order Tax 
                                                               $13.03 
                                                    Total 
                                                              $214.68 

    Check here if you entered shipping charges in the field above and want that
value to
replace calculated shipping charges 
                                                                     




Billing Information
Jas Pannu

2480 Kruse Dr

San Jose, CA 95131
US 
Phone: 555-555-5555
                                 Shipping Information
                                 Jas Pannu
                                 BSDI
                                 2480 Kruse Dr

                                 San Jose, CA 95131
             US 

                                 Payment Information
                                 VS   5490960004327822
                                 Expires: 12/2002 
                                   

Comment 2 Tom Lancaster 2001-04-09 18:55:45 EDT
Sequence error. Must be fixed by now...

Note You need to log in before you can comment on or make changes to this bug.